//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DatabaseProject
{
    using System;
    using System.Collections.Generic;
    
    public partial class stock
    {
        public stock()
        {
            this.distributions = new HashSet<distribution>();
        }
    
        public int id_stocks { get; set; }
        public double amount_of_product { get; set; }
        public string name { get; set; }
        public string description { get; set; }
        public int id_products { get; set; }
        public int id_warehouses { get; set; }
    
        public virtual ICollection<distribution> distributions { get; set; }
        public virtual product product { get; set; }
        public virtual warehouse warehouse { get; set; }
    }
}
